<?php
	
	$ultimate_ecommerce_shop_custom_css = '';
	
	/*-------------- Footer Text -------------------*/
	$ultimate_ecommerce_shop_copyright_text_position = get_theme_mod('ultimate_ecommerce_shop_copyright_text_position','center');
	if($ultimate_ecommerce_shop_copyright_text_position != false){
		$ultimate_ecommerce_shop_custom_css .='.copyright{';
			$ultimate_ecommerce_shop_custom_css .='text-align: '.esc_attr($ultimate_ecommerce_shop_copyright_text_position).';';
		$ultimate_ecommerce_shop_custom_css .='}';
	}

	/*----------------Width Layout -------------------*/
    $ultimate_ecommerce_shop_theme_lay = get_theme_mod( 'ultimate_ecommerce_shop_width_options','Full Width');
    if($ultimate_ecommerce_shop_theme_lay == 'Full Width'){
		$ultimate_ecommerce_shop_custom_css .='body{';
			$ultimate_ecommerce_shop_custom_css .='max-width: 100%;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}else if($ultimate_ecommerce_shop_theme_lay == 'Contained Width'){
		$ultimate_ecommerce_shop_custom_css .='body{';
			$ultimate_ecommerce_shop_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}else if($ultimate_ecommerce_shop_theme_lay == 'Boxed Width'){
		$ultimate_ecommerce_shop_custom_css .='body{';
			$ultimate_ecommerce_shop_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}

	//Submenu Dropdown Effect
	$ultimate_ecommerce_shop_dropdown_anim = get_theme_mod('ultimate_ecommerce_shop_dropdown_anim');
	$ultimate_ecommerce_shop_custom_css .='.primary-navigation ul ul{';
		$ultimate_ecommerce_shop_custom_css .='animation: '.esc_attr($ultimate_ecommerce_shop_dropdown_anim).' 1s ease;';
	$ultimate_ecommerce_shop_custom_css .='}';

		/*-------- footer background css -------*/
	$ultimate_ecommerce_shop_footer_background_color = get_theme_mod('ultimate_ecommerce_shop_footer_background_color');
	$ultimate_ecommerce_shop_custom_css .='.footersec{';
		$ultimate_ecommerce_shop_custom_css .='background-color: '.esc_attr($ultimate_ecommerce_shop_footer_background_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

    /*-------- Copyright background css -------*/
	$ultimate_ecommerce_shop_copyright_background_color = get_theme_mod('ultimate_ecommerce_shop_copyright_background_color');
	$ultimate_ecommerce_shop_custom_css .='.copyright{';
		$ultimate_ecommerce_shop_custom_css .='background-color: '.esc_attr($ultimate_ecommerce_shop_copyright_background_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_widgets_title_color = get_theme_mod('ultimate_ecommerce_shop_widgets_title_color');
	$ultimate_ecommerce_shop_custom_css .='h3.widget-title{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_widgets_title_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_widgets_menu_color = get_theme_mod('ultimate_ecommerce_shop_widgets_menu_color');
	$ultimate_ecommerce_shop_custom_css .='.widget li a, aside#categories-5 li a{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_widgets_menu_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	// site title and tagline font size option
	$ultimate_ecommerce_shop_site_title_font_size = get_theme_mod('ultimate_ecommerce_shop_site_title_font_size', 40);{
	$ultimate_ecommerce_shop_custom_css .='.logo h1 a, .logo p a{';
	$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_site_title_font_size).'px;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}

	$ultimate_ecommerce_shop_site_tagline_font_size = get_theme_mod('ultimate_ecommerce_shop_site_tagline_font_size', 15);{
	$ultimate_ecommerce_shop_custom_css .='.logo p{';
	$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_site_tagline_font_size).'px !important;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}
     
	//topbar css
	$ultimate_ecommerce_shop_disc_color = get_theme_mod('ultimate_ecommerce_shop_disc_color');
	$ultimate_ecommerce_shop_custom_css .='.timebox span{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_disc_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_epicon_color = get_theme_mod('ultimate_ecommerce_shop_epicon_color');
	$ultimate_ecommerce_shop_custom_css .='.call i, .email i{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_epicon_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_eptitle_color = get_theme_mod('ultimate_ecommerce_shop_eptitle_color');
	$ultimate_ecommerce_shop_custom_css .='span.infotext{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_eptitle_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_eptext_color = get_theme_mod('ultimate_ecommerce_shop_eptext_color');
	$ultimate_ecommerce_shop_custom_css .='.call a, .email a{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_eptext_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_menu_color = get_theme_mod('ultimate_ecommerce_shop_menu_color');
	$ultimate_ecommerce_shop_custom_css .='.primary-navigation a{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_menu_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_menuhvr_color = get_theme_mod('ultimate_ecommerce_shop_menuhvr_color');
	$ultimate_ecommerce_shop_custom_css .='.primary-navigation a:hover{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_menuhvr_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_submenu_color = get_theme_mod('ultimate_ecommerce_shop_submenu_color');
	$ultimate_ecommerce_shop_custom_css .='.primary-navigation ul ul a{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_submenu_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_submenuhvr_color = get_theme_mod('ultimate_ecommerce_shop_submenuhvr_color');
	$ultimate_ecommerce_shop_custom_css .='.primary-navigation ul ul a:hover{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_submenuhvr_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_icon_color = get_theme_mod('ultimate_ecommerce_shop_icon_color');
	$ultimate_ecommerce_shop_iconbg_color = get_theme_mod('ultimate_ecommerce_shop_iconbg_color');
	$ultimate_ecommerce_shop_custom_css .='.cart_links i{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_icon_color).'; background-color: '.esc_attr($ultimate_ecommerce_shop_iconbg_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	//slider css
	$ultimate_ecommerce_shop_slider_img_opacity = get_theme_mod('ultimate_ecommerce_shop_slider_img_opacity');
	$ultimate_ecommerce_shop_custom_css .='#slider img{';
		$ultimate_ecommerce_shop_custom_css .='opacity: '.esc_attr($ultimate_ecommerce_shop_slider_img_opacity).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_slider_title_font_size = get_theme_mod('ultimate_ecommerce_shop_slider_title_font_size');
	$ultimate_ecommerce_shop_custom_css .='#slider .inner_carousel h1{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_slider_title_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_slidernp_color = get_theme_mod('ultimate_ecommerce_shop_slidernp_color');
	$ultimate_ecommerce_shop_slidernpbg_color = get_theme_mod('ultimate_ecommerce_shop_slidernpbg_color');
	$ultimate_ecommerce_shop_custom_css .='.carousel-control-next-icon i, .carousel-control-prev-icon i{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_slidernp_color).'; background-color: '.esc_attr($ultimate_ecommerce_shop_slidernpbg_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	//Shop css
	$ultimate_ecommerce_shop_shop_img_size = get_theme_mod('ultimate_ecommerce_shop_shop_img_size', 40);{
	$ultimate_ecommerce_shop_custom_css .='.wc-block-grid__products .wc-block-grid__product-image img{';
	$ultimate_ecommerce_shop_custom_css .='width: '.esc_attr($ultimate_ecommerce_shop_shop_img_size).'px !important; height: '.esc_attr($ultimate_ecommerce_shop_shop_img_size).'px !important;';
		$ultimate_ecommerce_shop_custom_css .='}';
	}

	$ultimate_ecommerce_shop_shop_title_font_size = get_theme_mod('ultimate_ecommerce_shop_shop_title_font_size');
	$ultimate_ecommerce_shop_custom_css .='.title-sec strong a{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_shop_title_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_shop_text_font_size = get_theme_mod('ultimate_ecommerce_shop_shop_text_font_size');
	$ultimate_ecommerce_shop_custom_css .='.title-sec p{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_shop_text_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_product_title_font_size = get_theme_mod('ultimate_ecommerce_shop_product_title_font_size');
	$ultimate_ecommerce_shop_custom_css .='#top_products h2.wc-block-components-product-title.wc-block-grid__product-title{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_product_title_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_product_price_font_size = get_theme_mod('ultimate_ecommerce_shop_product_price_font_size');
	$ultimate_ecommerce_shop_custom_css .='#top_products .wc-block-components-product-price span{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_product_price_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_product_title_color = get_theme_mod('ultimate_ecommerce_shop_product_title_color');
	$ultimate_ecommerce_shop_custom_css .='.title-sec strong a{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_product_title_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_product_text_color = get_theme_mod('ultimate_ecommerce_shop_product_text_color');
	$ultimate_ecommerce_shop_custom_css .='.title-sec p{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_product_text_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_products_sale_color = get_theme_mod('ultimate_ecommerce_shop_products_sale_color');
	$ultimate_ecommerce_shop_custom_css .='.woocommerce ul.products li.product .onsale{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_products_sale_color).';';
		$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_products_salebg_color = get_theme_mod('ultimate_ecommerce_shop_products_salebg_color');
	$ultimate_ecommerce_shop_custom_css .='.woocommerce ul.products li.product .onsale{';
		$ultimate_ecommerce_shop_custom_css .='background: '.esc_attr($ultimate_ecommerce_shop_products_salebg_color).';';
		$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_products_title_color = get_theme_mod('ultimate_ecommerce_shop_products_title_color');
	$ultimate_ecommerce_shop_custom_css .='#top_products .woocommerce ul.products li.product .woocommerce-loop-product__title{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_products_title_color).' !important;';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_products_price_color = get_theme_mod('ultimate_ecommerce_shop_products_price_color');
	$ultimate_ecommerce_shop_custom_css .='#top_products .woocommerce ul.products li.product .price bdi{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_products_price_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	$ultimate_ecommerce_shop_products_cartbtn_color = get_theme_mod('ultimate_ecommerce_shop_products_cartbtn_color');
	$ultimate_ecommerce_shop_custom_css .='#top_products .woocommerce ul.products li.product .button{';
		$ultimate_ecommerce_shop_custom_css .='color: '.esc_attr($ultimate_ecommerce_shop_products_cartbtn_color).';';
	$ultimate_ecommerce_shop_custom_css .='}';

	//footer css
	$ultimate_ecommerce_shop_footer_copy_font_size = get_theme_mod('ultimate_ecommerce_shop_footer_copy_font_size');
	$ultimate_ecommerce_shop_custom_css .='.copyright a{';
		$ultimate_ecommerce_shop_custom_css .='font-size: '.esc_attr($ultimate_ecommerce_shop_footer_copy_font_size).'px !important;';
	$ultimate_ecommerce_shop_custom_css .='}';